System.Web 2.0.0.0 System.Web.Compilation.ExpressionBuilder System.Web.Compilation.ExpressionPrefix("Resources") System.Web.Compilation.ExpressionEditor("System.Web.UI.Design.ResourceExpressionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The class creates code to retrieve resource values when the page is executed. A resource file typically contains information localized for a particular language or culture.

A resource expression takes the form <%$ Resources: ClassKey, ResourceKey %> within the page. The part of the expression before the colon (:) designates the type of expression builder to use, and the part after the colon signifies the class name and resource key. The preceding expression would retrieve the following value from a file named ClassKey.resx:

`<data name="ResourceKey"><value xml:space="preserve">Hello!</value></data>`

When the page parser encounters an expression with the Resources prefix, it creates an instance of the class. The class either evaluates the expression or generates code to return a value for the expression when the page is executed.

If the expression is encountered in a page that will be compiled, the object generates code that retrieves the specified value from the resource file. If the expression is encountered in a page that will not be compiled, the object returns the value from the resource file when the page is parsed.

Provides code to the page parser for assigning property values on a control.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Object `` `` `` ``

  This method is called when an expression of the form <%$ Resources: someResourceKey %> is encountered in a page that uses the no-compile feature. It retrieves the appropriate value from a key/value pair in a resource file.

  Returns a value from a resource file.

  An associated with the parsed expression. The parsed expression contains the class name and resource key.

  The object containing the expression. The object that represents information about the property bound to by the expression. The object containing parsed data as returned by the method. Contextual information for the evaluation of the expression. 2.0.0.0
- Method
  System.CodeDom.CodeExpression `` `` ``

  This method is called during the CodeDOM creation for a page or control. The object returned is of the type and represents the method to call when retrieving a resource value during page execution.

  Returns a code expression to evaluate during page execution.

  A that invokes a method.

  The property name of the object. The parsed value of the expression. Properties for the control or page. 2.0.0.0
- Method
  System.Web.Compilation.ResourceExpressionFields ``

  This method parses the expression and returns a and a property value in the returned object, if these properties are provided in the expression.

  Returns an object that represents the parsed expression.

  The for the expression.

  The expression value to be parsed. 2.0.0.0
- Method
  System.Object `` `` ``

  The returned is of type . This method parses the expression and returns a and a property value in the returned object, if those properties are provided in the expression.

  Returns an object that represents the parsed expression.

  An that represents the parsed expression.

  The value of the declarative expression. The type of the property bound to by the expression. Contextual information for the evaluation of the expression. 2.0.0.0
- Property
  System.Boolean To be added.

  The property indicates whether the method has been implemented in the class. must be implemented within an expression builder for an expression to be evaluated in a page that uses the no-compile feature. supports evaluation of resource values in non-compiled pages, so this property always returns true.

  Returns a value indicating whether an expression can be evaluated in a page that uses the no-compile feature.

  2.0.0.0